Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 180061 - yum crashed after having problems finding a mirror
Summary: yum crashed after having problems finding a mirror
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-02-05 09:33 UTC by Rodd Clarkson
Modified: 2014-01-21 22:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-27 21:26:58 UTC


Attachments (Terms of Use)

Description Rodd Clarkson 2006-02-05 09:33:15 UTC
Description of problem:

Running yum I get the following output when it struggles to find a mirror.

It's worth noting that my internet connection wasn't 100%, but I still wouldn't
expect this sort of an outcome (traceback instead of a nice message).

Here's the output:

acl-2.2.34-1.i386.rpm     100% |=========================| 7.0 kB    00:12
---> Package acl.i386 0:2.2.34-1 set to be updated
---> Downloading header for xorg-x11-drv-i810 to pack into transaction set.
http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/i386/Fedora/RPMS/xorg-x11-drv-i810-1.4.1.3-2.i386.rpm:
[Errno 4] IOError: <urlopen error (-2, 'Name or service not known')>
Trying other mirror.
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386/Fedora/RPMS/xorg-x11-drv-i810-1.4.1.3-2.i386.rpm:
[Errno 4] IOError: <urlopen error (-3, 'Temporary failure in name resolution')>
Trying other mirror.
http://mirrors.kernel.org/fedora/core/development/i386/Fedora/RPMS/xorg-x11-drv-i810-1.4.1.3-2.i386.rpm:
[Errno 4] IOError: <urlopen error (-3, 'Temporary failure in name resolution')>
Trying other mirror.
http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/core/development/i386/Fedora/RPMS/xorg-x11-drv-i810-1.4.1.3-2.i386.rpm:
[Errno 4] IOError: <urlopen error (-2, 'Name or service not known')>
Trying other mirror.
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 138, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 379, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 212, in resolveDeps
    self.populateTs(test=1)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 170, in populateTs
    self.downloadHeader(txmbr.po)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 708, in
downloadHeader
    cache=repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 625, in get
    http_headers=headers,
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 414, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 392, in
_mirror_try
    mirrorchoice = self._get_mirror(gr)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 290, in
_get_mirror
    return gr.mirrors[gr._next]
IndexError: list index out of range
[rodd@localhost ~]$

Comment 1 Rodd Clarkson 2006-02-05 09:35:24 UTC
Here's another example (which I think says the same thing, but it might be useful)

redhat-artwork-0.235-2.i3 100% |=========================| 981 kB    00:30
---> Package redhat-artwork.i386 0:0.235-2 set to be updated
---> Downloading header for pam to pack into transaction set.
pam-0.99.3.0-1.i386.rpm   100% |=========================|  24 kB    00:30
http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/i386/Fedora/RPMS/pam
-0.99.3.0-1.i386.rpm: [Errno 4] Socket Error: timed out
Trying other mirror.
http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386/Fedora/RPMS/p
am-0.99.3.0-1.i386.rpm: [Errno 4] IOError: <urlopen error (-3, 'Temporary failur
e in name resolution')>
Trying other mirror.
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 138, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 379, in buildTra
nsaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 212, in resolveD eps
    self.populateTs(test=1)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 170, in populate Ts
    self.downloadHeader(txmbr.po)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 708, in download
Header
    cache=repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 625, in get
    http_headers=headers,
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 414, in url
grab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 392, in _mi
rror_try
    mirrorchoice = self._get_mirror(gr)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 290, in _ge
t_mirror
    return gr.mirrors[gr._next]
IndexError: list index out of range
[rodd@localhost Desktop]$


Comment 2 Seth Vidal 2006-02-24 21:34:34 UTC
I believe this is now fixed in the latest urlgrabber release in rawhide.




Note You need to log in before you can comment on or make changes to this bug.